libnjb 2.2.7

Data Fields
njb_state_t Struct Reference

## Data Fields
int | session_updated
u_int64_t | libcount
njb_eax_t * | first_eax
njb_eax_t * | next_eax
int | reset_get_track_tag
int | reset_get_playlist
int | reset_get_datafile_tag
u_int8_t | power
u_int8_t | sdmiid [16]
char | productName [33]
u_int8_t | fwMajor
u_int8_t | fwMinor

## Field Documentation

## ◆ fwMajor

u_int8_t njb_state_t::fwMajor

Firmware major revision

Referenced by NJB_Get_Firmware_Revision(), and njb_ping().

## ◆ fwMinor

u_int8_t njb_state_t::fwMinor

Firmware minor revision

Referenced by NJB_Get_Firmware_Revision(), and njb_ping().

## ◆ power

u_int8_t njb_state_t::power

If the power cord is plugged in or not

Referenced by NJB_Get_Auxpower(), NJB_Get_Battery_Charging(), NJB_Get_Battery_Level(), njb_init_state(), and njb_ping().

## ◆ productName

char njb_state_t::productName[33]

A string with the product name

Referenced by NJB_Get_Device_Name(), and njb_ping().

## ◆ sdmiid

u_int8_t njb_state_t::sdmiid[16]

The SDMI ID

Referenced by NJB_Get_SDMI_ID(), njb_init_state(), and njb_ping().

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/protocol.h